Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596042 - [DOCS] document change in endpoint to end installation successfully
Summary: [DOCS] document change in endpoint to end installation successfully
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 06:52 UTC by daniel
Modified: 2018-07-19 09:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-19 09:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1467925 None None None Never
Red Hat Bugzilla 1569586 None None None Never

Internal Links: 1467925 1569586

Description daniel 2018-06-28 06:52:00 UTC
I Satellite 6.3 the endpoint to reach out for ending an installation successfully has changed from    

wget -q -O /dev/null --no-check-certificate <%= foreman_url %>

to 

wget -q -O /dev/null --no-check-certificate <%= foreman_url('built') %>

which leads install loops if not changed in the installation template (Satellite Kickstart Default).

While this has been addressed by https://access.redhat.com/errata/RHSA-2018:0336 for all standard templates, changed, cloned and/or locked templates are not changed by this errata as it is the admin's duty to handle this.

Hence we should document as a post upgrade step that this url needs to be changed as otherwise kickstart installations with those templates will lead to a reinstall loop.

Comment 2 Stephen Wadeley 2018-06-28 07:05:28 UTC
Hello

Thank you for raising this bug


This bug is related:

[Bug 1569586] Continuous PXE Boot Loop

Comment 4 daniel 2018-07-02 06:06:06 UTC
Hi Stephen,

I didn't spot that, sorry.

However, I think it would be much clearer if we could put that in a "black box" as other examples and compare the whole line (as other examples as well), e.g.:

syntax in 6.2 cloned template: 
~~~
wget -q -O /dev/null --no-check-certificate <%= foreman_url %>
~~~

syntax for Satellite 6.3: 

~~~
wget -q -O /dev/null --no-check-certificate <%= foreman_url('built') %>
~~~

Also, at least in my setup, this is not in the finish (as headline `2.5.6.1. Finish Templates` suggest) but the kickstart (i.e. cloned from Satellite Kickstart) template. I thought I did sth. wrong, but even the default template got updated (and this section is about updates, right?) and a fresh installed Sat6.3 has the changed line also in 'Satellite Kickstart Default' and not in a finish template, at least as far as I can see.
We possibly might check that as well

Comment 5 Stephen Wadeley 2018-07-04 09:58:07 UTC
Hello Daniel

Reading the git commit[1] where the change to the default templates was applied, it seems that line is different for atomic hosts. So I cannot add the full line as an example. On the other hand, searching for just <%= foreman_url %> shows there is at least one template where the change is not required.

[root@rhel7-4-sat6-3 unattended]# pwd
/usr/share/foreman/app/views/unattended
[root@rhel7-4-sat6-3 unattended]# grep -r "<%= foreman_url %>" .
./provisioning_templates/provision/junos_default_slax.erb:      <source> '<%= foreman_url %>';

So, looks like I will have to give both lines as examples.
curl -s -o /dev/null --insecure <%= foreman_url %>
wget -q -O /dev/null --no-check-certificate <%= foreman_url %>


About the type of template: I spoke to Marek Hulan, he said that we cannot be sure in what custom template this has been used, it might not only be in a kickstart template, so best is just to say "Check all your custom provisioning templates"

BTW I tested searching in the web UI, could not figure out how to escape %, so used this:  "foreman_url " AND curl or wget
one space within the "" to only find <%= foreman_url %>

Thank you


[1] https://github.com/Katello/katello/commit/d3541c40379d9dab7f4511199c0f9a0b1228d183

Comment 9 Stephen Wadeley 2018-07-19 09:36:28 UTC
Hello


These changes are now live on the Customer Portal

2.5.6.1. Provisioning Templates


https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/upgrading_and_updating_red_hat_satellite/upgrading_red_hat_satellite#updating_templates


Thank you


Note You need to log in before you can comment on or make changes to this bug.